"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const XEUtils = require("xe-utils");
const index_esm = require("../../../../dom-zindex/es/index.esm.js");
const core = require("./core.js");
const configStore = require("./configStore.js");
const theme = require("./theme.js");
function setConfig(options) {
  if (options) {
    if (options.zIndex) {
      index_esm.default.setCurrent(options.zIndex);
    }
    if (options.theme) {
      theme.setTheme(options.theme);
    }
    XEUtils.merge(configStore.globalConfigStore, options);
  }
  return core.VxeCore;
}
function getConfig(key, defaultValue) {
  return arguments.length ? XEUtils.get(configStore.globalConfigStore, key, defaultValue) : configStore.globalConfigStore;
}
exports.getConfig = getConfig;
exports.setConfig = setConfig;
